Skip to content

Access Pass

If a Customer has multiple Linked Accounts, they can use your Broker to set a single Access Pass (barcode) to use across them all.

Set Access Pass

POST https://book.imin.co/api/v2/customer-accounts/:customerIdentifier/actions

Update the Access Pass stored in imin and the Customer’s Linked Accounts.

Path Parameters

NameTypeDescription
customerIdentifierstringCustomer Identifier

Headers

NameTypeDescription
X-Api-KeystringAPI Key

Request Body

NameTypeDescription
object.textstringBarcode text
{
"@context": "https://openactive.io/",
"@type": "imin:AccessPassUpdateAction",
"object": {
"@type": "Barcode",
"text": "ABC123DEF"
},
"error": [
{
"@context": "https://openactive.io/",
"@type": "BarcodeInvalidError",
"name": "The barcode value specified is not permitted within this booking system.",
"seller": { ... }
}
]
]

Request Example:

{
"@context": "https://openactive.io/",
"@type": "imin:AccessPassUpdateAction",
"object": {
"@type": "Barcode",
"text": "ABC123DEF"
}
}